This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471323 - xmlrpc-c-config is broken
xmlrpc-c-config is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmlrpc-c (Show other bugs)
8
All Linux
high Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 463210
  Show dependency treegraph
 
Reported: 2008-11-12 18:24 EST by Marek Mahut
Modified: 2008-12-26 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-26 10:17:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-11-12 18:24:09 EST
Description of problem:

I'm failing to build rtorrent with xmlrpc-c support because of broken xmlrpc-c-config.

rtorrent's configure is executing `xmlrpc-c-config server-util --libs` to find out xmlrpc-c libs. xmlrpc-c-config is a nice, but a little bit broken wrapper. If you look inside you'll find it tells pkg-config to look for "xmlrpc_server_util" if "server-util" is an argument, but xmlrpc-c-devel packages does not ship "xmlrpc_server_util.pc" file, only "xmlrpc_util.pc".

Version-Release number of selected component (if applicable):

xmlrpc-c-1.06.18-1.fc8, but reproducible in rawhide I think - I'd like to have it fixed at least in rawhide :)
Comment 1 Fedora Update System 2008-11-13 14:09:41 EST
xmlrpc-c-1.06.31-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/xmlrpc-c-1.06.31-1.fc8
Comment 2 Fedora Update System 2008-11-14 07:53:18 EST
xmlrpc-c-1.06.31-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Marek Mahut 2008-11-14 19:18:57 EST
Thank you. Can you also commit the same in rawhide?
Comment 4 Bug Zapper 2008-11-26 06:18:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Marek Mahut 2008-12-20 08:58:42 EST
ping?
Comment 6 Enrico Scholz 2008-12-21 06:55:22 EST
Which error do you get in rawhide?
Comment 7 Marek Mahut 2008-12-21 07:00:10 EST
(In reply to comment #6)
> Which error do you get in rawhide?

I think it was the same as under f8 - I've tested to build rtorrent in mock at that time.
Comment 8 Enrico Scholz 2008-12-21 11:23:29 EST
I do not think that.  rawhide and f8 have different versions of xmlrpc-c and f-10 + rawhide were never affected by this bug.
Comment 9 Ewin Barnett 2008-12-25 22:56:55 EST
rtorrent loads without blowing up when the -n option is used (ignore the local rtorrent.rc file), but gives "rtorrent: XMLRPC not supported." immediately when run with the .rc file.
Comment 10 Ewin Barnett 2008-12-25 22:58:14 EST
My comment (#9) was for running rtorrent on a fully updated FC10 (i386) machine.
Comment 11 Marek Mahut 2008-12-26 10:17:15 EST
(In reply to comment #9)
> rtorrent loads without blowing up when the -n option is used (ignore the local
> rtorrent.rc file), but gives "rtorrent: XMLRPC not supported." immediately when
> run with the .rc file.

Ewin, this has little to do with xmlrpc-c. 

Enrico, in that case thank you for update - I'll try to compile rtorrent againts xmlrpc-c now.

Note You need to log in before you can comment on or make changes to this bug.